Add Rows from File

Add rows to an existing dataset by uploading a file.

POST https://api.futureagi.com/model-hub/develops/add_rows_from_file/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Request body

file file Required

File containing row data. Supported formats: .csv, .xls, .xlsx, .json, .jsonl.

dataset_id string Required

UUID of the target dataset.

Response

200 OK
data string
Confirmation message.
status string
Status of the API response.

Errors

400 Bad Request Optional
Invalid request parameters.
401 Unauthorized Optional
Invalid or missing API credentials.
404 Not Found Optional
Dataset not found.
429 Too Many Requests Optional
Resource limit reached.
500 Internal Server Error Optional
Unexpected server error.
GET /
Authentication
REQUEST
 
RESPONSE